<template>
  <CModal
    :show.sync="visible"
    :centered="false"
    :close-on-backdrop="false"
    size="lg"
    class="modal-form"
    @open="$emit('open')"
    @close="$emit('close')"
  >
    <template #header>
      <h6 class="modal-title">
        {{ user && user.id ? 'Edit user' : 'Create new user' }}
      </h6>
      <CButtonClose @click="onCancel" />
    </template>

    <user-form-1-col
      :user="user"
      @close="onCancel"
    />

    <template #footer>
      <span />
    </template>
  </CModal>
</template>

<script>
import UserForm1Col from './UserForm1Col'

export default {
  components: {
    UserForm1Col
  },

  props: {
    /**
     * User data
     */
    user: {
      type: Object,
      default: () => {}
    }
  },

  data () {
    return {
      visible: false
    }
  },

  methods: {
    /**
     * Open dialog
     */
    open () {
      this.visible = true
    },

    /**
     * When you click Cancel button
     */
    onCancel () {
      this.visible = false
    }
  }
}
</script>
